Last Comment Bug 720581 - Access static fields/methods in a static way
: Access static fields/methods in a static way
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: Firefox 12
Assigned To: :Margaret Leibovic
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-23 17:11 PST by :Margaret Leibovic
Modified: 2012-01-30 13:04 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
11+


Attachments
patch (8.40 KB, patch)
2012-01-23 17:11 PST, :Margaret Leibovic
blassey.bugs: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description :Margaret Leibovic 2012-01-23 17:11:18 PST
Created attachment 590942 [details] [diff] [review]
patch

I didn't go through every file, but this fixes a bunch of the incorrect static access warnings I've come across in Eclipse. I'm going to push this to try with my patch queue, so I'll make sure it doesn't break anything, but I figure it's good to clean these things up.
Comment 2 :Ms2ger (⌚ UTC+1/+2) 2012-01-25 07:28:58 PST
https://hg.mozilla.org/mozilla-central/rev/4cb1b8a6a0f6
Comment 3 :Margaret Leibovic 2012-01-25 10:35:29 PST
Comment on attachment 590942 [details] [diff] [review]
patch

[Approval Request Comment]
Code clean-up. It would be good to get this into Aurora to prevent conflicts. Landed on m-c this morning, so it will be in Nightly tomorrow.
Comment 4 Alex Keybl [:akeybl] 2012-01-25 17:08:28 PST
Comment on attachment 590942 [details] [diff] [review]
patch

[Triage Comment]
Mobile only - approved for Aurora.
Comment 5 Brad Lassey [:blassey] (use needinfo?) 2012-01-30 13:04:34 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/d9d8daa10bc7

Note You need to log in before you can comment on or make changes to this bug.